package cn.com.poc.common.utils;

public class Assert extends org.springframework.util.Assert {

    public static void notBlank(String text) {
        if (StringUtils.isBlank(text)) {
            throw new IllegalArgumentException("缺少必要参数");
        }
    }

    public static void notBlank(String text, String message) {
        if (StringUtils.isBlank(text)) {
            throw new IllegalArgumentException("缺少必要参数-[" + message + "]");
        }
    }

    public static void notNull(Object text, String message) {
        if (text == null) {
            throw new IllegalArgumentException("缺少必要参数-[" + message + "]");
        }
    }
}
